[Unit]
Description=Create redis-stack container
Wants=network-online.target
After=network-online.target
Requires=docker.service
After=docker.service

[Service]
Type=oneshot
EnvironmentFile=/etc/sysconfig/redis-stack
ExecCondition=/bin/bash -c '! /usr/bin/docker ps -a | /usr/bin/grep redis-stack'
ExecStart=/usr/bin/docker create --privileged \
            --name redis-stack \
            --log-driver journald \
            --log-opt tag="{{ '{{.Name}}' }}" \
            --log-opt labels=container_id,image_id \
            -p ${REDIS_IP}:${REDIS_PORT}:6379 \
            -p ${INSIGHT_IP}:${INSIGHT_PORT}:8001 \
            -v ${REDIS_DATA_DIR}:/data:rw \
            -e REDIS_ARGS="${REDIS_ARGS}" \
          redis/redis-stack

[Install]
WantedBy=multi-user.target
